Package org.apache.commons.io.channels

# Class FilterReadableByteChannel.AbstractBuilder<F extends FilterReadableByteChannel<C>,C extends ReadableByteChannel,B extends FilterReadableByteChannel.AbstractBuilder<F,C,B>>

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<F,FilterChannel.AbstractBuilder<F,C,B>>
org.apache.commons.io.build.AbstractOriginSupplier<F,FilterChannel.AbstractBuilder<F,C,B>>
org.apache.commons.io.build.AbstractStreamBuilder<F,FilterChannel.AbstractBuilder<F,C,B>>
org.apache.commons.io.channels.FilterChannel.AbstractBuilder<F,C,B>
org.apache.commons.io.channels.FilterReadableByteChannel.AbstractBuilder<F,C,B>

Type Parameters:
  `F` - The `FilterReadableByteChannel` type.
  `C` - The `ReadableByteChannel` type wrapped by the FilterChannel.
  `B` - The builder type.

All Implemented Interfaces:
  `IOSupplier<F>`

Direct Known Subclasses:
  `FilterReadableByteChannel.Builder`

Enclosing class:
  `FilterReadableByteChannel<C extends ReadableByteChannel>`

public abstract static class FilterReadableByteChannel.AbstractBuilder<F extends FilterReadableByteChannel<C>,C extends ReadableByteChannel,B extends FilterReadableByteChannel.AbstractBuilder<F,C,B>> extends FilterChannel.AbstractBuilder<F,C,B>
Builds instances of `FilterReadableByteChannel` for subclasses.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBuilder()`
  Constructs a new builder for `FilterReadableByteChannel`.

- ## Method Summary

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getByteArray, getChannel, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newChannelOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setChannel, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, get, getUnchecked`

- ## Constructor Details

  - ### AbstractBuilder

    public AbstractBuilder()
    Constructs a new builder for `FilterReadableByteChannel`.